package com.ywt.mg.domain.models.enums;

public enum UserStatusEnum {
    Normal("正常", 0),
    Locked("禁用", 1);

    private final String displayName;

    private final int value;

    UserStatusEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static UserStatusEnum valueOf(int value) {
        switch (value) {
            case 0:
                return Normal;
            case 1:
                return Locked;
            default:
                return null;
        }
    }
}
